Subject: bug#20917: 24.5; Emacs hang after installing gtk3 in windows 7

From: Andy <[email-masked]>
Date: Mon, 29 Jun 2015 02:58:05 +0000 (UTC)

Bravo, Eli!!! Thanks a lot. I don't know what a "DLL hell" is, but it works! I downloaded librsvg and all its required libs and installed them. And now emacs can start normally. I think one should put a link in FAQ about using gtk3 in emacs under windows: One has to use the port from ezwinports first before using gtk3+. Your help is greatly appreciated. How do I close the bug report now? Andy, 
      From: Eli Zaretskii <[email-masked]>
 To: Andy <[email-masked]> 
Cc: [email-masked] 
 Sent: Monday, June 29, 2015 3:34 AM
 Subject: Re: bug#20917: 24.5; Emacs hang after installing gtk3 in windows 7
   
> Date: Sun, 28 Jun 2015 12:39:14 +0000 (UTC)

> From: Andy <[email-masked]>
> 
> I installed 24.5 in windows 7. Everything worked perfectly (after installing
> sbcl, quicklisp, slime etc). The issue is after I did the following: 
> 
> I downloaded gtk3.6.4 all-in-one bundle from
> http://www.gtk.org/download/win32.php, unzip it and put the path,
> /dir-to-gtk-bin/, in the windows environment variable, as instructed. The
> moment I put the path
> in, emacs hang during the starting process. The menu appears but I can't
> click it. I have to alt-contrl-del to kill it. Emacs starts normally
> after I removed the path. I have read the FAQ for emacs and emacs in
> windows. It looks like that emacs will use GTK images if the path is
> in. I think that there is some conflict with the newest image lib in the
> gtk3 under windows, since most of the lib versions in the gtk/bin is
> newer than those in ezwinports. But I am too noob to check which
> one. Thanks. 

You are in DLL hell.  To fix that, copy the libraries you downloaded
from the ezwinports site to the same directory where you have
emacs.exe.  Then Emacs will use the ezwinports libraries and not those
from GTK.